Bug 193961 - ACPI "Large Reference Count" causes infinite loop when AC unplugged
ACPI "Large Reference Count" causes infinite loop when AC unplugged
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-06-03 09:28 EDT by James
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 07:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System log excerpt (13.26 KB, text/plain)
2006-06-03 09:28 EDT, James
no flags Details
Typical ACPI large reference count messages (1.54 KB, text/plain)
2006-11-25 06:31 EST, James
no flags Details

  None (edit)
Description James 2006-06-03 09:28:34 EDT
Description of problem:
ACPI subsystem seems to get stuck on certain events, rendering the system useless.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2111_FC4

How reproducible:
Sporadically. Never showed up with 2.6.15 kernels (based on ACPI 
20050902).

Steps to Reproduce:
1. Unplug AC.
  
Actual results:
CPU load shoots up pretty much 100% system time. Everything else falls to
pieces. System is still "running", but impossible to shut down elegantly. ACPI
interpreter seems to be caught in a loop.

Reviewing system logs reveals a slew of "ACPI Warning (utdelete-0378): Large
Reference Count (362E) in object dab92254 [20060127]" error messages.

Expected results:
System processes AC event as it should.

Additional info:
Because of quirks in the BIOS and acpi-cpufreq, acpi-cpufreq is reloaded on
power-change events so the new set of frequncies is picked up.

No problems with earlier kernels with ACPI 20050902, but ACPI 20060127 seems to
be rather sketchy on this notebook.
Comment 1 James 2006-06-03 09:28:34 EDT
Created attachment 130449 [details]
System log excerpt
Comment 2 Dave Jones 2006-07-29 02:15:58 EDT
still happening with the 2.6.17 update ?
Comment 3 James 2006-07-29 03:16:59 EDT
I've not seen it with 2.6.17 yet (between hibernates the latest kernel has been
"up" 12 days now), but this is perhaps because I've booted it with ec_intr=0.
Comment 4 Dave Jones 2006-09-16 22:41:33 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Dave Jones 2006-10-16 17:42:12 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Dave Jones 2006-11-24 17:13:14 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 7 James 2006-11-25 06:31:02 EST
Created attachment 142110 [details]
Typical ACPI large reference count messages

Seen again in kernel-2.6.18-1.2849.fc6. Again, happened as the battery was
removed. It didn't crash the system, but the flurry of messages made is pretty
much unusable. Kernel booted with ec_intr=0.
Comment 8 James 2007-06-11 07:51:13 EDT
acpi_serialize seems to have calmed this.
Comment 9 Len Brown 2007-08-20 18:56:04 EDT
if it is necessary to add "acpi_serialize" to the cmdline
to make the machine boot and run properly, that is a serious bug.
Please file it at bugzilla.kernel.org

Note You need to log in before you can comment on or make changes to this bug.